import Vue from 'vue';
import Vuex from 'vuex';

// import example from './module-example'
import { vuexfireMutations } from 'vuexfire';
import createPersistedState from 'vuex-persistedstate';

import auth from './auth';
import categories from './categories';
import projects from './projects';
import collections from './collections';
import profile from './profile';
import ui from './ui';
import project_detail from './project_detail';

import forms_user_profile from './forms/user_profile';

Vue.use(Vuex);

/*
 * If not building with SSR mode, you can
 * directly export the Store instantiation
 */

export default function (/* { ssrContext } */) {
  const Store = new Vuex.Store({
    modules: {
      // example
      auth,
      categories,
      projects,
      collections,
      profile,
      ui,
      project_detail,
      forms_user_profile
    },
    mutations: {
      ...vuexfireMutations
    },
    plugins: [createPersistedState()],
    // enable strict mode (adds overhead!)
    // for dev mode only
    strict: process.env.DEV
  });

  return Store;
}
